FROM fedora:40

RUN dnf install -y \
  git \
  boost-devel \
  fakeroot \
  ncurses\
  libusb\
  cmake \
  openssl-devel \
  make \
  wget \
  gcc \
  wine \
  gtest-devel \
  gmock-devel \
  qt5-qtbase-devel \
  qt5-qtdeclarative \
  qt5-qtquickcontrols \
  qt5-qtquickcontrols2-devel \
  mingw64-binutils \
  mingw64-gcc \
  mingw64-gcc-c++ \
  mingw64-headers \
  mingw64-pkg-config \
  mingw64-winpthreads \
  mingw64-freetype \
  mingw64-cairo \
  mingw64-qt5-qtquickcontrols \
  mingw64-qt5-qtquickcontrols2 \
  mingw64-openssl \
  mingw64-qt5-qtbase-devel \
  mingw64-qt5-qmldevtools-devel \
  mingw-filesystem-base \
  clang-tools-extra \
  llvm-libs \
  unzip \
  ninja-build \
  alsa-lib-devel \
  python3-pip \
  ffmpeg-free

COPY cmake/cross-compile/linux_cc_windows.cmake /linux_cc_windows.cmake
COPY scripts/install_deps.sh /install_deps.sh
COPY scripts/install_libbass.sh /install_libbass.sh
COPY scripts/install_mingwboost.sh /install_mingwboost.sh

RUN /install_deps.sh linux
RUN /install_deps.sh win
RUN /install_mingwboost.sh

#Install python packages
RUN pip3 install pydub

# To cache (for ld) path for libbass.so installation
RUN ldconfig
